using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组增减款项表
    /// --其他款项
    /// </summary>
    [SugarTable("Grp_DecreasePayments")]
    public class Grp_DecreasePayments: EntityBase
    {
        /// <summary>
        /// 团组外键编号
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DiId { get; set; }

        /// <summary>
        /// 供应商地区
        /// 1 国内(默认) 2 国外
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SupplierArea { get; set; } = 1;

        /// <summary>
        /// 供应商类型
        /// setdata 外键Id  StID = 21
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SupplierTypeId { get; set; }

        /// <summary>
        /// 供应商名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(200)")]
        public string SupplierName { get; set; }

        /// <summary>
        /// 供应商联系人
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(100)")]
        public string SupplierContact { get; set; }

        /// <summary>
        /// 供应商联系电话
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string SupplierContactNumber { get; set; }

        /// <summary>
        /// 供应商社交账号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(100)")]
        public string SupplierSocialAccount { get; set; }

        /// <summary>
        /// 供应商邮箱
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(50)")]
        public string SupplierEmail { get; set; }

        /// <summary>
        /// 供应商地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(300)")]
        public string SupplierAddress { get; set; }

        /// <summary>
        /// 费用名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(225)")]
        public string PriceName { get; set; }

        /// <summary>
        /// 单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Price { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Quantity { get; set; }

        /// <summary>
        /// 费用总计
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal FeeTotal { get; set; }

        /// <summary>
        /// 费用币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Currency { get; set; }
        /// <summary>
        /// 附件地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(120)")]
        public string FilePath { get; set; }
    }
}
